if(!Tonyu.load)Tonyu.load=(_,f)=>f();
Tonyu.load({"compiler":{"namespace":"user","defaultSuperClass":"kernel.Actor","dependingProjects":[{"namespace":"kernel"}]},"run":{"mainClass":"user.Main","bootClass":"kernel.Boot","globals":{"$defaultFPS":60,"$imageSmoothingDisabled":true,"$soundLoadAndDecode":false}},"plugins":{"jquery_ui":1},"kernelEditable":false,"language":"tonyu","version":1730103304381}, ()=>{
Tonyu.klass.define({
  fullName: 'user.Cloud',
  shortName: 'Cloud',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Cloud_main() {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_cloud;
        _this.alpha=_this.alpha||255;
        _this.isVanish = false;
        
        _this.isLanded = false;
        
        while (Tonyu.globals.$Game&&Tonyu.globals.$Game.state==0) {
          Tonyu.checkLoop();
          if (_this.isLanded) {
            _this.scaleX+=0.05;
            
          }
          if (_this.isVanish) {
            _this.alpha-=5;
            _this.scaleX-=0.1;
            if (_this.alpha<=0) {
              _this.die();
            }
            
          }
          if (Tonyu.globals.$Game.isOut(_this.y)) {
            _this.die();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Cloud_f_main(_thread) {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_cloud;
        _this.alpha=_this.alpha||255;
        _this.isVanish = false;
        
        _this.isLanded = false;
        
        while (Tonyu.globals.$Game&&Tonyu.globals.$Game.state==0) {
          yield null;
          if (_this.isLanded) {
            _this.scaleX+=0.05;
            
          }
          if (_this.isVanish) {
            _this.alpha-=5;
            _this.scaleX-=0.1;
            if (_this.alpha<=0) {
              _this.die();
            }
            
          }
          if (Tonyu.globals.$Game.isOut(_this.y)) {
            _this.die();
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      Vanish :function _trc_Cloud_Vanish() {
        var _this=this;
        
        _this.isLanded=false;
        _this.isVanish=true;
      },
      fiber$Vanish :function* _trc_Cloud_f_Vanish(_thread) {
        var _this=this;
        
        _this.isLanded=false;
        _this.isVanish=true;
        
      },
      Landed :function _trc_Cloud_Landed() {
        var _this=this;
        
        _this.isLanded=true;
      },
      fiber$Landed :function* _trc_Cloud_f_Landed(_thread) {
        var _this=this;
        
        _this.isLanded=true;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"Vanish":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"Landed":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"isVanish":{},"isLanded":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Cotton',
  shortName: 'Cotton',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Cotton_main() {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_cotton;
        _this.vy=_this.vy||0;
        _this.vx=_this.vx||0;
        _this.rspd = _this.rnd(20)-10;
        
        while (1) {
          Tonyu.checkLoop();
          _this.rotation+=_this.rspd;
          _this.vy+=0.08;
          _this.alpha-=1;
          if (_this.alpha<0||Tonyu.globals.$Game.isOut(_this.y)) {
            _this.die();
            
          }
          _this.y+=_this.vy;
          _this.x+=_this.vx;
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Cotton_f_main(_thread) {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_cotton;
        _this.vy=_this.vy||0;
        _this.vx=_this.vx||0;
        _this.rspd = _this.rnd(20)-10;
        
        while (1) {
          yield null;
          _this.rotation+=_this.rspd;
          _this.vy+=0.08;
          _this.alpha-=1;
          if (_this.alpha<0||Tonyu.globals.$Game.isOut(_this.y)) {
            _this.die();
            
          }
          _this.y+=_this.vy;
          _this.x+=_this.vx;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"rspd":{},"vy":{},"vx":{}}}
});
Tonyu.klass.define({
  fullName: 'user.GameScene',
  shortName: 'GameScene',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_GameScene_main() {
        var _this=this;
        
        Tonyu.globals.$Game=_this;
        Tonyu.globals.$score=0;
        new Tonyu.classes.user.UI();
        new Tonyu.classes.kernel.Label({x: 0,y: 0,template: "Score=$score",align: "left top"});
        _this.player = new Tonyu.classes.user.Player({x: Tonyu.globals.$screenWidth/2,y: 100});
        
        _this.state = 0;
        
        _this.heightReached = 0;
        
        _this.spawnHeight = 400;
        
        _this.keypressed = true;
        
        _this.cx1 = Tonyu.globals.$screenWidth/2;
        
        _this.cxvx = _this.rnd()<0.5?1:- 1;
        
        _this.cx2 = 50;
        
        _this.cx3 = Tonyu.globals.$screenWidth-50;
        
        _this.difficult = 5;
        
        new Tonyu.classes.user.Cloud({x: Tonyu.globals.$screenWidth/2,y: 200});
        new Tonyu.classes.user.Cloud({x: Tonyu.globals.$screenWidth-150,y: 150});
        new Tonyu.classes.user.Cloud({x: 150,y: 150});
        _this.toutatu = 0;
        
        Tonyu.globals.$Screen.setBGColor("#49e");
        Tonyu.globals.$Screen.setPivot(Tonyu.globals.$screenWidth/2,Tonyu.globals.$screenHeight/2);
        while (_this.state==0) {
          Tonyu.checkLoop();
          if (_this.heightReached<_this.spawnHeight) {
            _this.SpawnCloud(_this.spawnHeight-350);
            _this.spawnHeight-=100;
            if (_this.spawnHeight%300==0) {
              _this.difficult+=1;
              
            }
            
          }
          if (_this.player.y<_this.heightReached) {
            _this.heightReached=_this.player.y;
            Tonyu.globals.$score=_this.floor(- _this.heightReached);
            if (_this.toutatu<2&&Tonyu.globals.$score>10000) {
              Tonyu.globals.$Screen.setBGColor("#113");
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_up,128*Tonyu.globals.$sevol);
              _this.toutatu++;
              
            } else {
              if (_this.toutatu<1&&Tonyu.globals.$score>5000) {
                Tonyu.globals.$Screen.setBGColor("#138");
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_up,128*Tonyu.globals.$sevol);
                _this.toutatu++;
                
              }
            }
            
          }
          if (Tonyu.globals.$Game.isOut(_this.player.y)) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pickup,128*Tonyu.globals.$sevol);
            _this.GameOver();
            
          }
          Tonyu.globals.$Screen.scrollTo(Tonyu.globals.$screenWidth/2,_this.heightReached);
          _this.keyCheck();
          _this.update();
          _this.keypressed=false;
          
        }
        new Tonyu.classes.user.UIShare();
        new Tonyu.classes.kernel.Button({top: Tonyu.globals.$screenHeight/2+150,text: "Title",onClick: (function anonymous_1580() {
          
          _this.loadPage(Tonyu.classes.user.Title);
        })});
        while (_this.state==1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function* _trc_GameScene_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$Game=_this;
        Tonyu.globals.$score=0;
        new Tonyu.classes.user.UI();
        new Tonyu.classes.kernel.Label({x: 0,y: 0,template: "Score=$score",align: "left top"});
        _this.player = new Tonyu.classes.user.Player({x: Tonyu.globals.$screenWidth/2,y: 100});
        
        _this.state = 0;
        
        _this.heightReached = 0;
        
        _this.spawnHeight = 400;
        
        _this.keypressed = true;
        
        _this.cx1 = Tonyu.globals.$screenWidth/2;
        
        _this.cxvx = _this.rnd()<0.5?1:- 1;
        
        _this.cx2 = 50;
        
        _this.cx3 = Tonyu.globals.$screenWidth-50;
        
        _this.difficult = 5;
        
        new Tonyu.classes.user.Cloud({x: Tonyu.globals.$screenWidth/2,y: 200});
        new Tonyu.classes.user.Cloud({x: Tonyu.globals.$screenWidth-150,y: 150});
        new Tonyu.classes.user.Cloud({x: 150,y: 150});
        _this.toutatu = 0;
        
        Tonyu.globals.$Screen.setBGColor("#49e");
        Tonyu.globals.$Screen.setPivot(Tonyu.globals.$screenWidth/2,Tonyu.globals.$screenHeight/2);
        while (_this.state==0) {
          yield null;
          if (_this.heightReached<_this.spawnHeight) {
            (yield* _this.fiber$SpawnCloud(_thread, _this.spawnHeight-350));
            _this.spawnHeight-=100;
            if (_this.spawnHeight%300==0) {
              _this.difficult+=1;
              
            }
            
          }
          if (_this.player.y<_this.heightReached) {
            _this.heightReached=_this.player.y;
            Tonyu.globals.$score=_this.floor(- _this.heightReached);
            if (_this.toutatu<2&&Tonyu.globals.$score>10000) {
              Tonyu.globals.$Screen.setBGColor("#113");
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_up,128*Tonyu.globals.$sevol);
              _this.toutatu++;
              
            } else {
              if (_this.toutatu<1&&Tonyu.globals.$score>5000) {
                Tonyu.globals.$Screen.setBGColor("#138");
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_up,128*Tonyu.globals.$sevol);
                _this.toutatu++;
                
              }
            }
            
          }
          if (Tonyu.globals.$Game.isOut(_this.player.y)) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_pickup,128*Tonyu.globals.$sevol);
            (yield* _this.fiber$GameOver(_thread));
            
          }
          Tonyu.globals.$Screen.scrollTo(Tonyu.globals.$screenWidth/2,_this.heightReached);
          (yield* _this.fiber$keyCheck(_thread));
          (yield* _this.fiber$update(_thread));
          _this.keypressed=false;
          
        }
        new Tonyu.classes.user.UIShare();
        new Tonyu.classes.kernel.Button({top: Tonyu.globals.$screenHeight/2+150,text: "Title",onClick: (function anonymous_1580() {
          
          _this.loadPage(Tonyu.classes.user.Title);
        })});
        while (_this.state==1) {
          yield null;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      GameOver :function _trc_GameScene_GameOver() {
        var _this=this;
        
        _this.state=1;
        _this.player.die();
      },
      fiber$GameOver :function* _trc_GameScene_f_GameOver(_thread) {
        var _this=this;
        
        _this.state=1;
        _this.player.die();
        
      },
      Retry :function _trc_GameScene_Retry() {
        var _this=this;
        
        _this.loadPage(Tonyu.classes.user.GameScene);
      },
      fiber$Retry :function* _trc_GameScene_f_Retry(_thread) {
        var _this=this;
        
        (yield* _this.fiber$loadPage(_thread, Tonyu.classes.user.GameScene));
        
      },
      keyCheck :function _trc_GameScene_keyCheck() {
        var _this=this;
        
        if (_this.keypressed) {
          return _this;
        }
        if (_this.getkey("r")==1||_this.getkey("esc")==1) {
          _this.keypressed=true;
          _this.Retry();
          
        }
      },
      fiber$keyCheck :function* _trc_GameScene_f_keyCheck(_thread) {
        var _this=this;
        
        if (_this.keypressed) {
          return _this;
        }
        if (_this.getkey("r")==1||_this.getkey("esc")==1) {
          _this.keypressed=true;
          (yield* _this.fiber$Retry(_thread));
          
        }
        
      },
      SpawnCloud :function _trc_GameScene_SpawnCloud(y) {
        var _this=this;
        var df;
        
        df = _this.difficult%20<6?(_this.difficult%20+10):_this.difficult%20;
        
        if (_this.rnd()*df>5) {
          _this.cxvx=0;
          
        }
        _this.cxvx+=_this.cxvx==0?(_this.rnd()<0.5?df:- df):_this.sgn(_this.cxvx)*df/5;
        _this.cx1=_this.fix4W(_this.cx1,(_this.floor(_this.cxvx/2)+_this.rnd(_this.sgn(_this.cxvx)*df))*20);
        if (_this.rnd()<0.5) {
          _this.cx2=_this.loop4W(_this.cx2,_this.rnd(_this.difficult*3-3)*20);
          new Tonyu.classes.user.Cloud({x: _this.cx2,y: y+50});
          
        } else {
          _this.cx3=_this.loop4W(_this.cx3,- _this.rnd(_this.difficult*3-3)*20);
          new Tonyu.classes.user.Cloud({x: _this.cx3,y: y+50});
          
        }
        if (_this.difficult<20||_this.rnd()*100>_this.difficult) {
          new Tonyu.classes.user.Cloud({x: _this.cx1,y: y});
          
        }
        if (_this.rnd()*100<_this.difficult) {
          new Tonyu.classes.user.Thorn({x: _this.cx1,y: y-32});
          
        }
      },
      fiber$SpawnCloud :function* _trc_GameScene_f_SpawnCloud(_thread,y) {
        var _this=this;
        var df;
        
        df = _this.difficult%20<6?(_this.difficult%20+10):_this.difficult%20;
        
        if (_this.rnd()*df>5) {
          _this.cxvx=0;
          
        }
        _this.cxvx+=_this.cxvx==0?(_this.rnd()<0.5?df:- df):_this.sgn(_this.cxvx)*df/5;
        _this.cx1=(yield* _this.fiber$fix4W(_thread, _this.cx1, (_this.floor(_this.cxvx/2)+_this.rnd(_this.sgn(_this.cxvx)*df))*20));
        if (_this.rnd()<0.5) {
          _this.cx2=(yield* _this.fiber$loop4W(_thread, _this.cx2, _this.rnd(_this.difficult*3-3)*20));
          new Tonyu.classes.user.Cloud({x: _this.cx2,y: y+50});
          
        } else {
          _this.cx3=(yield* _this.fiber$loop4W(_thread, _this.cx3, - _this.rnd(_this.difficult*3-3)*20));
          new Tonyu.classes.user.Cloud({x: _this.cx3,y: y+50});
          
        }
        if (_this.difficult<20||_this.rnd()*100>_this.difficult) {
          new Tonyu.classes.user.Cloud({x: _this.cx1,y: y});
          
        }
        if (_this.rnd()*100<_this.difficult) {
          new Tonyu.classes.user.Thorn({x: _this.cx1,y: y-32});
          
        }
        
      },
      fix4W :function _trc_GameScene_fix4W(now,val) {
        var _this=this;
        var newval;
        
        if (val==0) {
          return now;
          
        }
        newval = now+val;
        
        if (newval<50) {
          newval=now-val;
        }
        if (newval>Tonyu.globals.$screenWidth-50) {
          newval=now-val;
        }
        while (newval<50) {
          Tonyu.checkLoop();
          newval+=_this.abs(val);
          
        }
        while (newval>Tonyu.globals.$screenWidth-50) {
          Tonyu.checkLoop();
          newval-=_this.abs(val);
          
        }
        if (newval<50&&newval>Tonyu.globals.$screenWidth-50) {
          newval=Tonyu.globals.$screenWidth/2;
          
        }
        return newval;
      },
      fiber$fix4W :function* _trc_GameScene_f_fix4W(_thread,now,val) {
        var _this=this;
        var newval;
        
        if (val==0) {
          return now;
          
        }
        newval = now+val;
        
        if (newval<50) {
          newval=now-val;
        }
        if (newval>Tonyu.globals.$screenWidth-50) {
          newval=now-val;
        }
        while (newval<50) {
          yield null;
          newval+=_this.abs(val);
          
        }
        while (newval>Tonyu.globals.$screenWidth-50) {
          yield null;
          newval-=_this.abs(val);
          
        }
        if (newval<50&&newval>Tonyu.globals.$screenWidth-50) {
          newval=Tonyu.globals.$screenWidth/2;
          
        }
        return newval;
        
      },
      loop4W :function _trc_GameScene_loop4W(now,val) {
        var _this=this;
        var newval;
        
        newval = now+val;
        
        while (newval<50) {
          Tonyu.checkLoop();
          if (newval>Tonyu.globals.$screenWidth-50) {
            break;
            
          }
          newval+=Tonyu.globals.$screenWidth-100;
          
        }
        while (newval>Tonyu.globals.$screenWidth-50) {
          Tonyu.checkLoop();
          if (newval<50) {
            break;
            
          }
          newval-=Tonyu.globals.$screenWidth-100;
          
        }
        return newval;
      },
      fiber$loop4W :function* _trc_GameScene_f_loop4W(_thread,now,val) {
        var _this=this;
        var newval;
        
        newval = now+val;
        
        while (newval<50) {
          yield null;
          if (newval>Tonyu.globals.$screenWidth-50) {
            break;
            
          }
          newval+=Tonyu.globals.$screenWidth-100;
          
        }
        while (newval>Tonyu.globals.$screenWidth-50) {
          yield null;
          if (newval<50) {
            break;
            
          }
          newval-=Tonyu.globals.$screenWidth-100;
          
        }
        return newval;
        
      },
      isOut :function _trc_GameScene_isOut(y) {
        var _this=this;
        
        if (y>_this.heightReached+300) {
          return true;
          
        }
        return false;
      },
      fiber$isOut :function* _trc_GameScene_f_isOut(_thread,y) {
        var _this=this;
        
        if (y>_this.heightReached+300) {
          return true;
          
        }
        return false;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"GameOver":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"Retry":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"keyCheck":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}},"SpawnCloud":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"fix4W":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"loop4W":{"nowait":false,"isMain":false,"vtype":{"params":[null,null],"returnValue":null}},"isOut":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"player":{},"state":{},"heightReached":{},"spawnHeight":{},"keypressed":{},"cx1":{},"cxvx":{},"cx2":{},"cx3":{},"difficult":{},"toutatu":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        var _this=this;
        
        Tonyu.globals.$Screen.resize(500,500);
        Tonyu.globals.$hiScore=0;
        Tonyu.globals.$score=0;
        Tonyu.globals.$sevol=1;
        Tonyu.globals.$bgmvol=0.5;
        Tonyu.globals.$sound.setBGMVolume(Tonyu.globals.$bgmvol*128);
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$bgm_1,true);
        _this.loadPage(Tonyu.classes.user.Title);
      },
      fiber$main :function* _trc_Main_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$Screen.resize(500,500);
        Tonyu.globals.$hiScore=0;
        Tonyu.globals.$score=0;
        Tonyu.globals.$sevol=1;
        Tonyu.globals.$bgmvol=0.5;
        Tonyu.globals.$sound.setBGMVolume(Tonyu.globals.$bgmvol*128);
        Tonyu.globals.$sound.playBGM(Tonyu.globals.$bgm_1,true);
        (yield* _this.fiber$loadPage(_thread, Tonyu.classes.user.Title));
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_fish;
        _this.vy=0;
        _this.vx=0;
        _this.zOrder=- 2;
        _this.pad=new Tonyu.classes.kernel.APad({y: 400,decay: 0.2,keySpeed: 0.8});
        _this.targetCloud = null;
        
        _this.jumpDelayCnt = 0;
        
        _this.prediction = new Tonyu.classes.kernel.Panel({lifeKeeper: _this,layer: Tonyu.globals.$mainLayer,alpha: 0,zOrder: - 3});
        
        _this.prediction.resize(100,6);
        _this.prediction.fillStyle="red";
        _this.prediction.fillRect(50,0,200,200);
        _this.prediction.x=_this.x;
        _this.prediction.y=_this.y;
        _this.rotation=- 90;
        while (true) {
          Tonyu.checkLoop();
          _this.vy+=0.08;
          if (_this.within(Tonyu.classes.user.Thorn,28)) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_wood03,128*Tonyu.globals.$sevol);
            Tonyu.globals.$Game.GameOver();
            
          }
          if (_this.targetCloud) {
            _this.vx+=_this.pad.vx*0.2;
            _this.prediction.x=_this.x;
            _this.prediction.y=_this.y;
            _this.prediction.alpha=222;
            _this.tdir = _this.atanxy(_this.vx,- 5);
            
            _this.rotation=_this.tdir;
            _this.prediction.rotation=_this.tdir;
            _this.vy=0;
            _this.jumpDelayCnt++;
            if (_this.jumpDelayCnt%10==0) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru3,128*Tonyu.globals.$sevol);
              
            }
            if (_this.jumpDelayCnt>35) {
              _this.jump(_this.targetCloud);
              _this.targetCloud=null;
              
            }
            
          } else {
            if (_this.vy>0) {
              _this.e=_this.crashTo(Tonyu.classes.user.Cloud);
              if (_this.e&&_this.y<_this.e.y&&! _this.e.isVanish) {
                _this.targetCloud=_this.e;
                _this.targetCloud.Landed();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click,128*Tonyu.globals.$sevol);
                _this.vx=0;
                
              }
              
            }
            _this.vx*=0.998;
            _this.vx+=_this.pad.vx*0.04;
            if (_this.vx>4) {
              _this.vx=4;
            }
            if (_this.vx<- 4) {
              _this.vx=- 4;
            }
            if (_this.vy<- 1) {
              _this.tdir = _this.atanxy(_this.vx,- _this.abs(_this.vy));
              
              _this.rotation=_this.tdir;
              _this.jetEffect();
              
            }
            _this.x+=_this.vx;
            _this.y+=_this.vy;
            if (_this.x<0) {
              _this.x=0;
            }
            if (_this.x>Tonyu.globals.$screenWidth) {
              _this.x=Tonyu.globals.$screenWidth;
            }
            
          }
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Player_f_main(_thread) {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_fish;
        _this.vy=0;
        _this.vx=0;
        _this.zOrder=- 2;
        _this.pad=new Tonyu.classes.kernel.APad({y: 400,decay: 0.2,keySpeed: 0.8});
        _this.targetCloud = null;
        
        _this.jumpDelayCnt = 0;
        
        _this.prediction = new Tonyu.classes.kernel.Panel({lifeKeeper: _this,layer: Tonyu.globals.$mainLayer,alpha: 0,zOrder: - 3});
        
        _this.prediction.resize(100,6);
        _this.prediction.fillStyle="red";
        _this.prediction.fillRect(50,0,200,200);
        _this.prediction.x=_this.x;
        _this.prediction.y=_this.y;
        _this.rotation=- 90;
        while (true) {
          yield null;
          _this.vy+=0.08;
          if (_this.within(Tonyu.classes.user.Thorn,28)) {
            Tonyu.globals.$sound.playSE(Tonyu.globals.$se_wood03,128*Tonyu.globals.$sevol);
            Tonyu.globals.$Game.GameOver();
            
          }
          if (_this.targetCloud) {
            _this.vx+=_this.pad.vx*0.2;
            _this.prediction.x=_this.x;
            _this.prediction.y=_this.y;
            _this.prediction.alpha=222;
            _this.tdir = _this.atanxy(_this.vx,- 5);
            
            _this.rotation=_this.tdir;
            _this.prediction.rotation=_this.tdir;
            _this.vy=0;
            _this.jumpDelayCnt++;
            if (_this.jumpDelayCnt%10==0) {
              Tonyu.globals.$sound.playSE(Tonyu.globals.$se_puru3,128*Tonyu.globals.$sevol);
              
            }
            if (_this.jumpDelayCnt>35) {
              (yield* _this.fiber$jump(_thread, _this.targetCloud));
              _this.targetCloud=null;
              
            }
            
          } else {
            if (_this.vy>0) {
              _this.e=_this.crashTo(Tonyu.classes.user.Cloud);
              if (_this.e&&_this.y<_this.e.y&&! _this.e.isVanish) {
                _this.targetCloud=_this.e;
                _this.targetCloud.Landed();
                Tonyu.globals.$sound.playSE(Tonyu.globals.$se_click,128*Tonyu.globals.$sevol);
                _this.vx=0;
                
              }
              
            }
            _this.vx*=0.998;
            _this.vx+=_this.pad.vx*0.04;
            if (_this.vx>4) {
              _this.vx=4;
            }
            if (_this.vx<- 4) {
              _this.vx=- 4;
            }
            if (_this.vy<- 1) {
              _this.tdir = _this.atanxy(_this.vx,- _this.abs(_this.vy));
              
              _this.rotation=_this.tdir;
              (yield* _this.fiber$jetEffect(_thread));
              
            }
            _this.x+=_this.vx;
            _this.y+=_this.vy;
            if (_this.x<0) {
              _this.x=0;
            }
            if (_this.x>Tonyu.globals.$screenWidth) {
              _this.x=Tonyu.globals.$screenWidth;
            }
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      jump :function _trc_Player_jump(cloud) {
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shoot08,64*Tonyu.globals.$sevol);
        _this.vy=- 6;
        cloud.Vanish();
        _this.jumpDelayCnt=0;
        _this.prediction.alpha=0;
      },
      fiber$jump :function* _trc_Player_f_jump(_thread,cloud) {
        var _this=this;
        
        Tonyu.globals.$sound.playSE(Tonyu.globals.$se_shoot08,64*Tonyu.globals.$sevol);
        _this.vy=- 6;
        cloud.Vanish();
        _this.jumpDelayCnt=0;
        _this.prediction.alpha=0;
        
      },
      jetEffect :function _trc_Player_jetEffect() {
        var _this=this;
        
        if (_this.rnd(200)<=_this.abs(_this.vy*_this.vy*_this.vy)) {
          new Tonyu.classes.user.Cotton({x: _this.x,y: _this.y,vy: 3,vx: (_this.rnd(9)-4)/4-_this.vx,scaleX: _this.rnd(11)/20+0.5});
          
        }
      },
      fiber$jetEffect :function* _trc_Player_f_jetEffect(_thread) {
        var _this=this;
        
        if (_this.rnd(200)<=_this.abs(_this.vy*_this.vy*_this.vy)) {
          new Tonyu.classes.user.Cotton({x: _this.x,y: _this.y,vy: 3,vx: (_this.rnd(9)-4)/4-_this.vx,scaleX: _this.rnd(11)/20+0.5});
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"jump":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"jetEffect":{"nowait":false,"isMain":false,"vtype":{"params":[],"returnValue":null}}},"fields":{"targetCloud":{},"jumpDelayCnt":{},"prediction":{},"tdir":{},"vy":{},"vx":{},"pad":{},"e":{}}}
});
Tonyu.klass.define({
  fullName: 'user.PopText',
  shortName: 'PopText',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_PopText_main() {
        var _this=this;
        
        while (_this.secIx<_this.sections.length) {
          Tonyu.checkLoop();
          if (_this.type==0) {
            if (_this.secIx==0) {
              _this.y-=Tonyu.globals.$Math.exp(- _this.secFr/10)*2;
              
            }
            
          }
          if (_this.secFr<_this.sections[_this.secIx]) {
            _this.secFr++;
            
          } else {
            _this.secIx+=1;
            _this.secFr=0;
            
          }
          _this.update();
          
        }
        _this.die();
      },
      fiber$main :function* _trc_PopText_f_main(_thread) {
        var _this=this;
        
        while (_this.secIx<_this.sections.length) {
          yield null;
          if (_this.type==0) {
            if (_this.secIx==0) {
              _this.y-=Tonyu.globals.$Math.exp(- _this.secFr/10)*2;
              
            }
            
          }
          if (_this.secFr<_this.sections[_this.secIx]) {
            _this.secFr++;
            
          } else {
            _this.secIx+=1;
            _this.secFr=0;
            
          }
          (yield* _this.fiber$update(_thread));
          
        }
        _this.die();
        
      },
      initialize :function _trc_PopText_initialize(o) {
        var _this=this;
        
        __superClass.apply( _this, [o]);
        if (o.pos) {
          _this.x=_this.pos.x;
          _this.y=_this.pos.y;
          
        }
        _this.zOrder=o.zOrder||- 1000;
        _this.text=o.text||"";
        _this.size=o.size||16;
        _this.textAlign=o.textAlign||"center";
        _this.fillStyle=o.fillStyle||"white";
        _this.strokeStyle=o.strokeStyle||"black";
        _this.setType(o.type||0);
        _this.sections=o.sections||_this.sections;
      },
      draw :function _trc_PopText_draw(ctx) {
        var _this=this;
        var text;
        var x;
        var y;
        
        ctx.save();
        if (_this.text) {
          ctx.textBaseline="middle";
          ctx.lineWidth=2;
          ctx.font=_this.size+"px sans-serif";
          text = _this.text;
          
          x = _this.x;
          
          y = _this.y;
          
          ctx.textAlign=_this.textAlign;
          ctx.strokeStyle=_this.strokeStyle;
          ctx.strokeText(text,x,y);
          ctx.fillStyle=_this.fillStyle;
          ctx.fillText(text,x,y);
          
        }
        ctx.restore();
      },
      setType :function _trc_PopText_setType(_type) {
        var _this=this;
        var ts;
        
        _this.type=_type;
        ts = [];
        
        if (_this.type==0) {
          ts.push(30);
          ts.push(30);
          
        }
        _this.sections=ts;
        _this.secIx=0;
        _this.secFr=0;
      },
      fiber$setType :function* _trc_PopText_f_setType(_thread,_type) {
        var _this=this;
        var ts;
        
        _this.type=_type;
        ts = [];
        
        if (_this.type==0) {
          ts.push(30);
          ts.push(30);
          
        }
        _this.sections=ts;
        _this.secIx=0;
        _this.secFr=0;
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"setType":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{"secIx":{},"sections":{},"type":{},"secFr":{},"pos":{}}}
});
Tonyu.klass.define({
  fullName: 'user.SLabel',
  shortName: 'SLabel',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Label,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_SLabel_main() {
        var _this=this;
        
      },
      fiber$main :function* _trc_SLabel_f_main(_thread) {
        var _this=this;
        
        
      },
      initialize :function _trc_SLabel_initialize(o) {
        var _this=this;
        
        __superClass.apply( _this, [o]);
        _this.zOrder=o.zOrder||- 1000;
        _this.text=o.text||"";
        _this.size=o.size||16;
        _this.textAlign=o.textAlign||"center";
        _this.fillStyle=o.fillStyle||"white";
        _this.strokeStyle=o.strokeStyle||"black";
      },
      draw :function _trc_SLabel_draw(ctx) {
        var _this=this;
        var lines;
        var i;
        var text;
        var x;
        var y;
        
        ctx.save();
        if (_this.text) {
          ctx.textBaseline="middle";
          ctx.lineWidth=2;
          ctx.font=_this.size+"px sans-serif";
          lines = _this.text.split("\n");
          
          for (i = 0;
           i<lines.length ; i++) {
            Tonyu.checkLoop();
            {
              text = lines[i];
              
              x = _this.x;
              
              y = _this.y+i*_this.size;
              
              ctx.textAlign=_this.textAlign;
              ctx.strokeStyle=_this.strokeStyle;
              ctx.strokeText(text,x,y);
              ctx.fillStyle=_this.fillStyle;
              ctx.fillText(text,x,y);
            }
          }
          
        }
        ctx.restore();
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}},"new":{"nowait":false,"isMain":false,"vtype":{"params":[null],"returnValue":null}},"draw":{"nowait":true,"isMain":false,"vtype":{"params":[null],"returnValue":null}}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Thorn',
  shortName: 'Thorn',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Thorn_main() {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_shuriken;
        _this.t = 0;
        
        while (1) {
          Tonyu.checkLoop();
          _this.rotation+=16;
          if (Tonyu.globals.$Game&&Tonyu.globals.$Game.isOut(_this.y)) {
            _this.die();
            
          }
          _this.t++;
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Thorn_f_main(_thread) {
        var _this=this;
        
        _this.p=Tonyu.globals.$pat_shuriken;
        _this.t = 0;
        
        while (1) {
          yield null;
          _this.rotation+=16;
          if (Tonyu.globals.$Game&&Tonyu.globals.$Game.isOut(_this.y)) {
            _this.die();
            
          }
          _this.t++;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"t":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        var _this=this;
        
        Tonyu.globals.$score=0;
        _this.p=- 1;
        _this.x=Tonyu.globals.$screenWidth/2;
        Tonyu.globals.$Screen.setPivot(0,0);
        Tonyu.globals.$Screen.scrollTo(0,0);
        Tonyu.globals.$Game=null;
        new Tonyu.classes.kernel.Button({top: Tonyu.globals.$screenHeight/2+150,text: "Start",onClick: (function anonymous_154() {
          
          _this.loadPage(Tonyu.classes.user.GameScene);
        })});
        new Tonyu.classes.kernel.Label({x: _this.x,y: 80,size: 40,text: "綿雲ジャンプ"});
        new Tonyu.classes.kernel.Label({x: _this.x,y: 150,size: 20,text: "魚ぬいぐるみは綿を噴射して高みを目指す！\n画面下に落ちたらゲームオーバー"});
        _this.y = 250;
        
        new Tonyu.classes.kernel.Actor({x: 100,y: _this.y,p: Tonyu.globals.$pat_fish});
        new Tonyu.classes.kernel.Label({x: 132,y: _this.y,size: 20,text: "←魚、左右に操作する",align: "left middle"});
        new Tonyu.classes.kernel.Label({x: 100,y: _this.y-24,size: 10,text: "↓縫い目があるよ！（お題:ぬいぐるみ）",align: "left middle"});
        new Tonyu.classes.user.Cloud({x: 100,y: _this.y+50});
        new Tonyu.classes.kernel.Label({x: 132,y: _this.y+50,size: 20,text: "←綿雲、着地すると溜めてジャンプ\n　溜めてる間に噴射方向調節",align: "left middle"});
        new Tonyu.classes.user.Thorn({x: 100,y: _this.y+110});
        new Tonyu.classes.kernel.Label({x: 132,y: _this.y+110,size: 20,text: "←手裏剣、当たったらゲームオーバー",align: "left middle"});
        _this.share = null;
        
        _this.shareBtn = new Tonyu.classes.kernel.Button({top: Tonyu.globals.$screenHeight-50,width: 50,left: Tonyu.globals.$screenWidth-50,text: "Share",onClick: (function anonymous_842() {
          
          if (_this.share) {
            _this.share.die();
            _this.share=null;
            
          } else {
            Tonyu.globals.$score=Tonyu.globals.$hiScore;
            _this.share=new Tonyu.classes.user.UIShare();
            
          }
        })});
        
        while (1) {
          Tonyu.checkLoop();
          _this.update();
          
        }
      },
      fiber$main :function* _trc_Title_f_main(_thread) {
        var _this=this;
        
        Tonyu.globals.$score=0;
        _this.p=- 1;
        _this.x=Tonyu.globals.$screenWidth/2;
        Tonyu.globals.$Screen.setPivot(0,0);
        Tonyu.globals.$Screen.scrollTo(0,0);
        Tonyu.globals.$Game=null;
        new Tonyu.classes.kernel.Button({top: Tonyu.globals.$screenHeight/2+150,text: "Start",onClick: (function anonymous_154() {
          
          _this.loadPage(Tonyu.classes.user.GameScene);
        })});
        new Tonyu.classes.kernel.Label({x: _this.x,y: 80,size: 40,text: "綿雲ジャンプ"});
        new Tonyu.classes.kernel.Label({x: _this.x,y: 150,size: 20,text: "魚ぬいぐるみは綿を噴射して高みを目指す！\n画面下に落ちたらゲームオーバー"});
        _this.y = 250;
        
        new Tonyu.classes.kernel.Actor({x: 100,y: _this.y,p: Tonyu.globals.$pat_fish});
        new Tonyu.classes.kernel.Label({x: 132,y: _this.y,size: 20,text: "←魚、左右に操作する",align: "left middle"});
        new Tonyu.classes.kernel.Label({x: 100,y: _this.y-24,size: 10,text: "↓縫い目があるよ！（お題:ぬいぐるみ）",align: "left middle"});
        new Tonyu.classes.user.Cloud({x: 100,y: _this.y+50});
        new Tonyu.classes.kernel.Label({x: 132,y: _this.y+50,size: 20,text: "←綿雲、着地すると溜めてジャンプ\n　溜めてる間に噴射方向調節",align: "left middle"});
        new Tonyu.classes.user.Thorn({x: 100,y: _this.y+110});
        new Tonyu.classes.kernel.Label({x: 132,y: _this.y+110,size: 20,text: "←手裏剣、当たったらゲームオーバー",align: "left middle"});
        _this.share = null;
        
        _this.shareBtn = new Tonyu.classes.kernel.Button({top: Tonyu.globals.$screenHeight-50,width: 50,left: Tonyu.globals.$screenWidth-50,text: "Share",onClick: (function anonymous_842() {
          
          if (_this.share) {
            _this.share.die();
            _this.share=null;
            
          } else {
            Tonyu.globals.$score=Tonyu.globals.$hiScore;
            _this.share=new Tonyu.classes.user.UIShare();
            
          }
        })});
        
        while (1) {
          yield null;
          (yield* _this.fiber$update(_thread));
          
        }
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"y":{},"share":{},"shareBtn":{}}}
});
Tonyu.klass.define({
  fullName: 'user.UI',
  shortName: 'UI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UI_main() {
        var _this=this;
        
        _this.shareui = false;
        
        new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "background: #ebc;"},["label","音量bgm"],["input",{type: "range",value: 100*Tonyu.globals.$bgmvol,onchange: (function anonymous_156(e) {
          
          Tonyu.globals.$sound.setBGMVolume(e.target.value/100*128);
          Tonyu.globals.$bgmvol=e.target.value/100;
        })}],["label","se"],["input",{type: "range",value: Tonyu.globals.$sevol*100,onchange: (function anonymous_323(e) {
          
          Tonyu.globals.$sevol=e.target.value/100;
        })}]],left: 0,top: 460,width: 500,height: 40});
        new Tonyu.classes.user.SLabel({x: 250,y: 12,text: ['BGM:騒音のない世界 - 夢物語'].join(''),size: 12});
      },
      fiber$main :function* _trc_UI_f_main(_thread) {
        var _this=this;
        
        _this.shareui = false;
        
        new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "background: #ebc;"},["label","音量bgm"],["input",{type: "range",value: 100*Tonyu.globals.$bgmvol,onchange: (function anonymous_156(e) {
          
          Tonyu.globals.$sound.setBGMVolume(e.target.value/100*128);
          Tonyu.globals.$bgmvol=e.target.value/100;
        })}],["label","se"],["input",{type: "range",value: Tonyu.globals.$sevol*100,onchange: (function anonymous_323(e) {
          
          Tonyu.globals.$sevol=e.target.value/100;
        })}]],left: 0,top: 460,width: 500,height: 40});
        new Tonyu.classes.user.SLabel({x: 250,y: 12,text: ['BGM:騒音のない世界 - 夢物語'].join(''),size: 12});
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"shareui":{}}}
});
Tonyu.klass.define({
  fullName: 'user.UIShare',
  shortName: 'UIShare',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_UIShare_main() {
        var _this=this;
        
        if (Tonyu.globals.$score>Tonyu.globals.$hiScore) {
          Tonyu.globals.$hiScore=Tonyu.globals.$score;
          
        }
        _this.sugoi = Tonyu.globals.$score>10000?" すごい！":"";
        
        _this.shareText = "スコア:"+Tonyu.globals.$score+" 点！"+_this.sugoi;
        
        _this.ui=new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "width: 100%"},["textarea",{style: "width: 100%",name: "shareText",rows: "3",onfocus: (function anonymous_302(e) {
          
          e.target.select();
        })},"綿雲ジャンプ "+_this.shareText+" #ahoge "+window.location.href],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_452() {
          
          _this.text=_this.ui.getValue("shareText");
          navigator.clipboard.writeText(_this.text).then((function anonymous_603() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "Copied!"});
          }),(function anonymous_679() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          })).catch((function anonymous_760() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          }));
        })},"Copy"],["div",{style: "padding:1.5rem;"}],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_925() {
          
          _this.loadPage(Tonyu.classes.user.GameScene);
          _this.die();
        })},"最初からやり直す"]],left: 100,top: 220,width: 300,height: 200,lifeKeeper: _this});
      },
      fiber$main :function* _trc_UIShare_f_main(_thread) {
        var _this=this;
        
        if (Tonyu.globals.$score>Tonyu.globals.$hiScore) {
          Tonyu.globals.$hiScore=Tonyu.globals.$score;
          
        }
        _this.sugoi = Tonyu.globals.$score>10000?" すごい！":"";
        
        _this.shareText = "スコア:"+Tonyu.globals.$score+" 点！"+_this.sugoi;
        
        _this.ui=new Tonyu.classes.kernel.HTMLUI({content: ["div",{style: "width: 100%"},["textarea",{style: "width: 100%",name: "shareText",rows: "3",onfocus: (function anonymous_302(e) {
          
          e.target.select();
        })},"綿雲ジャンプ "+_this.shareText+" #ahoge "+window.location.href],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_452() {
          
          _this.text=_this.ui.getValue("shareText");
          navigator.clipboard.writeText(_this.text).then((function anonymous_603() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "Copied!"});
          }),(function anonymous_679() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          })).catch((function anonymous_760() {
            
            new Tonyu.classes.user.PopText({x: 250,y: 250,size: 28,text: "コピー失敗"});
          }));
        })},"Copy"],["div",{style: "padding:1.5rem;"}],["button",{style: "width: 100%; height:2rem; ",onclick: (function anonymous_925() {
          
          _this.loadPage(Tonyu.classes.user.GameScene);
          _this.die();
        })},"最初からやり直す"]],left: 100,top: 220,width: 300,height: 200,lifeKeeper: _this});
        
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false,"isMain":true,"vtype":{"params":[],"returnValue":null}}},"fields":{"sugoi":{},"shareText":{},"ui":{}}}
});

});

//# sourceMappingURL=concat.js.map